package intrinsic.mx.controls;

public class FileSystemDataGrid extends intrinsic.mx.controls.DataGrid {

	/** Accessors */
	public intrinsic.Array selectedPaths;
	public boolean canNavigateDown;
	public boolean canNavigateForward;
	public String dateFormatString;
	public intrinsic.Array backHistory;
	public String selectedPath;
	public boolean canNavigateUp;
	public boolean showExtensions;
	public boolean canNavigateBack;
	public boolean showIcons;
	public intrinsic.Function filterFunction;
	public intrinsic.flash.filesystem.File directory;
	public String enumerationMode;
	public intrinsic.Function nameCompareFunction;
	public boolean showHidden;
	public intrinsic.Array extensions;
	public String sizeDisplayMode;
	public intrinsic.Array forwardHistory;

	/** Variables */
	public intrinsic.mx.controls.dataGridClasses.DataGridColumn typeColumn;
	public intrinsic.mx.controls.dataGridClasses.DataGridColumn sizeColumn;
	public intrinsic.mx.controls.dataGridClasses.DataGridColumn nameColumn;
	public intrinsic.mx.controls.dataGridClasses.DataGridColumn creationDateColumn;
	public intrinsic.mx.controls.dataGridClasses.DataGridColumn modificationDateColumn;
	public boolean editable;
	public boolean resizableColumns;
	public boolean sortableColumns;
	public intrinsic.mx.controls.listClasses.IListItemRenderer itemEditorInstance;
	public boolean allowDragSelection;
	public boolean menuSelectionMode;
	public boolean liveScrolling;
	public boolean showScrollTips;
	public intrinsic.Array transitions;
	public intrinsic.Array states;

	/** Constants */
	public static final String VERSION = "version";
	public static final intrinsic.flash.filesystem.File COMPUTER = null;

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public FileSystemDataGrid() {
}


/** Static Methods */

/** Methods */
public native void navigateBack();
public native void navigateBack(int arg0);
public native void navigateForward();
public native void navigateForward(int arg0);
public native void resetHistory(intrinsic.flash.filesystem.File arg0);
public native void navigateTo(intrinsic.flash.filesystem.File arg0);
public native void navigateDown();
public native void styleChanged(String arg0);
public native void navigateUp();
public native void refresh();
public native void clear();
public native intrinsic.flash.filesystem.File findItem(String arg0);
public native int findIndex(String arg0);

}
